<?php
/**
 *
 * @package luzuk Premium
 */
if(get_theme_mod('blog_section_disable') != 'on' ){ ?>
	<?php 
	
	 	if( get_theme_mod('blog_areaTpadding',true) ) {
	 		$blog_areaTpadding = 'padding-top:'.esc_attr(get_theme_mod('blog_areaTpadding')).';';
	 	}
	 	if( get_theme_mod('blog_areaBpadding',true) ) {
	 		$blog_areaBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('blog_areaBpadding')).';';
	 	}
 	
 	?>
<div class="blog-area" id="blog" style="<?php echo esc_attr($blog_areaTpadding); ?>" "<?php echo esc_attr($blog_areaBpadding); ?>" >	
	<?php			
			$blogsubheading = get_theme_mod('blogsubheading', 'Recent Articles');
			$blog_heading = get_theme_mod('blog_heading', 'Latest News from Us');
	?>
		<div class="container">
        <div class="row justify-content-center">
          <?php if($blogsubheading || $blogsubheading){ ?> 
            <div class="section-title">
            	  <h1><?php echo ($blogsubheading);  ?></h1>
                <h2><?php echo ($blog_heading);  ?></h2>         
            </div>
          <?php }?>
        </div> 
    </div>
	
		<div class="container">
				<div class="blog-area-wrap">
						<div class="blog-posts">
								<div class="row m-0">
								<?php 
									$blog_post_count = get_theme_mod('blog_post_count', 3 );
									$blog_cat_exclude = get_theme_mod('blog_cat_exclude');
									$blog_cat_exclude = explode(',', $blog_cat_exclude);
									$args = array(
										'posts_per_page' => absint($blog_post_count),
										'category__not_in' => $blog_cat_exclude
									);
									$query = new WP_Query($args);
									if($query -> have_posts()):
										while($query -> have_posts()) : $query -> the_post();
										$luzuk_blog_image = wp_get_attachment_image_src(get_post_thumbnail_id() , 'total-blog-thumb');
										?>
										<?php 
										if(has_post_thumbnail()){
											$img = esc_url($luzuk_blog_image[0]);
										}
										if(empty($luzuk_blog_image)){
											$img = get_template_directory_uri().'/images/blog.jpg';
										}
								?>
									<div class="blog-post col-lg-4 col-md-6 col-sm-12">
											<div class="box-area-S ">
													<div class="blog-thumbnail">
															<a href="<?php the_permalink(); ?>">
																	<img class="blog-img" src="<?php echo $img; ?>" alt="<?php the_title(); ?>">
															</a>
													</div>
													<div class="blog-single">
															<div class="icnbx">
																	<a href="<?php the_permalink(); ?>">
																		<i class="fa fa-recycle"></i>
																	</a>
															</div>
															<div class="b-ather ">
																	<div class="row mr-0">
																			<div class="blog-date">
																				<li ><i class="fa fa-calendar"></i><?php echo get_the_date( 'M j, Y' ); ?></li>
																				<li class="auth">By <?php echo get_the_author(); ?></li>
														    			</div>
																				<!-- <div class="col-md-6 col-sm-6 at1"><i class="fa fa-user-o" ></i>	</?php echo get_the_author(); ?></div>
																				<div class="col-md-6 col-sm-6 com1"><i class="fa fa-comment-o"></i></?php echo $my_var = get_comments_number(); ?> Comments</div>
																		</div> -->
										            	</div>
																	<a href="<?php the_permalink(); ?>">
																		<h4 class="inner-area-title"><?php the_title(); ?></h4>
																	</a>
																	<p>
																		<?php 
																				if(has_excerpt()){
																					echo get_the_excerpt();
																				}else{
																					echo luzuk_excerpt( get_the_content() , 115 );
																				}
																		?>
																	</p>
																<!-- </?php
									                  $blog_button1 = get_theme_mod('blog_button1', 'Book A Tour');
									              ?>
							                </?php if($blog_button1) { ?>
																	<div class="blogbtn"> 
							                        <a href="</?php echo esc_url(get_permalink()); ?>">
							                            <span>  </?php echo $blog_button1 ?></span>
							                        </a>
							                    </div> 
						                  </?php }?> -->
																	<div class="clearfix"></div>
															</div>
															<div class="clearfix"></div>
													</div>	
											</div>
									</div>
									<?php
											endwhile;
										endif;
										wp_reset_postdata();
									?>
								</div>
							<div class="clearfix"></div>
						</div>	
				</div>
		<div class="clearfix"></div>
		</div>
</div>
<script type="text/javascript">
	var title = 0;
jQuery(".blog-area .blog-post").each(function(){
  if ($(this).height() > title) { title = $(this).height(); }
});
jQuery(".blog-area .blog-post").height(title);


// on Resize change height

jQuery(window).resize(function(){
  jQuery(".blog-area .blog-post").height("");
  var title = 0;
  jQuery(".blog-area .blog-post").each(function(){
    if ($(this).height() > title) { title = $(this).height(); }
  });
  jQuery(".blog-area .blog-post").height(title);
});
</script>
	


<?php }